<?php

require_once("DBManager.class.php");

class Usuario{
	private $iduser ;///	
	private $user;
	private $clave;	
		/////////////////constructor/////////////////	
	///////////////////////////////////////////
	public function Crear($vidt,$vusu,$vcla)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("INSERT INTO usuario (iduser,user,clave) VALUES(null,'".$vusu."','".$vcla."')")) 

		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from usuario where(iduser= ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
                $this->idusuario=$rs->fields["iduser"];			
				$this->usuario=$rs->fields["user"];
				$this->clave=$rs->fields["clave"];
							
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorUsuario($v)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from usuario where(user= '".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
                $this->idusuario=$rs->fields["iduser"];			
				$this->usuario=$rs->fields["user"];
				$this->clave=$rs->fields["clave"];				
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	/////////////////////////////////*/
		
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();
		$rs=$db->execute("select * from usuario");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                 $vector[$row]=array("iduser"=> $rs->fields["iduser"],
									"user"=> $rs->fields["user"],
									"clave"=> $rs->fields["clave"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	/*///////////////////////////
	public function ListaPaginada($vpro,$limitInf,$tampag)
	{    /////////////////////////////////////
		$vector=null;		
		$db= new DBManager();
		$rs=$db->execute("SELECT * FROM usuario WHERE ( Nombreusu LIKE CONCAT('%','".$vpro."','%') ) ORDER BY Idusuario ASC limit ".$limitInf.",".$tampag.";");			
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{    
   				$vector[$row]=array("idusuario"=> $rs->fields["idusuario"],
				 					"idtienda"=> $rs->fields["idtienda"],
									"idemp"=> $rs->fields["idemp"],
									"usuario"=> $rs->fields["usuario"],
									"clave"=> $rs->fields["clave"],
									"tipo"=> $rs->fields["tipo"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}*/
	public function Login($nom,$clave)
        {
                $resp=false;
                $num_rows=0;//numero de filas afectada por la consulta
                $db= new DBManager();
        		$rs=$db->execute("SELECT * FROM usuario WHERE (user='".$nom."' AND clave='".$clave."');");
                $num_rows=$rs->getNumOfRows();
                if($num_rows>0)
                {        $resp=true;
                         $rs->firstRow(); // opcional, pero recomendado
                        while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también                               
                                $this->idusuario=$rs->fields["iduser"];			
				$this->user=$rs->fields["user"];
				$this->clave=$rs->fields["clave"];	
                               $rs->nextRow(); // Nota: nextRow() Esta situado al final
                         }
                }
                $rs->close();
                $db->closeConnection();//opcional cierra el enlace de la Base de Datos
                return $resp;
        }
	////////////////////////////////////////*/
					
	
	public function getIduser(){ return $this->iduser;}
	public function getUser(){ return $this->user;}
	public function getClave(){ return $this->clave;}

	


}




?>